<back to all web services

CommentsBatchUpdateRequest

The following routes are available for this service:
PUT/RestApi/comments-api/comments/list
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class CommentsBatchUpdateRequest
{
    open var Key:ArrayList<String>? = null
    open var Status:String? = null
}

open class CollectionResponse<T>
{
    open var TotalCount:Int? = null
    open var Items:ArrayList<CommentResponse>? = null
}

open class CommentResponse
{
    open var Key:String? = null
    open var Name:String? = null
    open var Message:String? = null
    open var DateCreated:Date? = null
    open var ProfilePictureUrl:String? = null
    open var ProfilePictureThumbnailUrl:String? = null
    open var Status:String? = null
    open var Email:String? = null
    open var ThreadKey:String? = null
    open var AuthorIpAddress:String? = null
    open var CustomData:String? = null
    open var Rating:BigDecimal? = null
}

Kotlin CommentsBatchUpdateRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/comments-api/comments/list HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Key":["String"],"Status":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0}